org.encog.util

## Class HTMLReport

- java.lang.Object
- - org.encog.util.HTMLReport

-     public class HTMLReport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLReport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginBody()`
    `void` | `beginHTML()`
    `void` | `beginList()`
    `void` | `beginPara()`
    `void` | `beginRow()`
    `void` | `beginTable()`
    `void` | `beginTableInCell(int colSpan)`
    `void` | `bold(String str)`
    `void` | `cell(String head)`
    `void` | `cell(String head, int colSpan)`
    `void` | `clear()`
    `static String` | `encode(String str)`
    `void` | `endBody()`
    `void` | `endHTML()`
    `void` | `endList()`
    `void` | `endPara()`
    `void` | `endRow()`
    `void` | `endTable()`
    `void` | `endTableInCell()`
    `void` | `h1(String title)`
    `void` | `h2(String title)`
    `void` | `h3(String title)`
    `void` | `header(String head)`
    `void` | `header(String head, int colSpan)`
    `void` | `listItem(String str)`
    `void` | `para(String str)`
    `void` | `tablePair(String name, String value)`
    `void` | `title(String str)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLReport

          public HTMLReport()

  - ### Method Detail

    - #### beginHTML

          public void beginHTML()

    - #### endHTML

          public void endHTML()

    - #### title

          public void title(String str)

    - #### beginPara

          public void beginPara()

    - #### endPara

          public void endPara()

    - #### bold

          public void bold(String str)

    - #### para

          public void para(String str)

    - #### clear

          public void clear()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### beginBody

          public void beginBody()

    - #### endBody

          public void endBody()

    - #### h1

          public void h1(String title)

    - #### beginTable

          public void beginTable()

    - #### endTable

          public void endTable()

    - #### beginRow

          public void beginRow()

    - #### endRow

          public void endRow()

    - #### header

          public void header(String head)

    - #### cell

          public void cell(String head)

    - #### cell

          public void cell(String head,
                  int colSpan)

    - #### tablePair

          public void tablePair(String name,
                       String value)

    - #### encode

          public static String encode(String str)

    - #### h2

          public void h2(String title)

    - #### h3

          public void h3(String title)

    - #### beginList

          public void beginList()

    - #### listItem

          public void listItem(String str)

    - #### endList

          public void endList()

    - #### beginTableInCell

          public void beginTableInCell(int colSpan)

    - #### endTableInCell

          public void endTableInCell()

    - #### header

          public void header(String head,
                    int colSpan)

Copyright © 2014. All Rights Reserved.